6.0.0-git
2019-03-18

[#12155] ActiveSync and HTC Sensation: Reminder time set to -1
Summary ActiveSync and HTC Sensation: Reminder time set to -1
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2013-04-03 (2175 days ago)
Due
Updated 2013-05-01 (2147 days ago)
Assigned
Resolved 2013-04-03 (2175 days ago)
Milestone
Patch No

History
2013-05-01 21:11:54 Michael Rubinsky Comment #7 Reply to this comment

[Show Quoted Text - 10 lines]
This is correct.

It's not really "ghosting" the tag. A ghosted tag is one which has 
been sent in an initial "SUPPORTED" node of a SYNC request. When 
editing the object on the client, if the property is not changed from 
the initial value then it is not sent in the MODIFY command (i.e., it 
is ghosted). If the element is not sent during the INITIAL creation, 
it has no value (i.e., there is no reminder set).

When setting the reminder for "At the day of the Event" it should go 
off at the beginning of the day i.e., 12:00am, which is also the start 
time of an all day event. In other words, it's 0 minutes before the 
start time.
Does the spec make a special case for all days events?
No. See above.
On the iOS 6 device, that option is gone again :o)
Gotta love it.
2013-04-29 15:57:38 Thomas Jarosch Comment #6 Reply to this comment
Thanks, working! The phone also has a reminder option next to "None" 
which is "Timely".
It sends "0" as reminder value for it. Grrr.
I just noticed the same thing on an iOS 4.2.1 based device:

For all day events, it has a reminder option of "At the day of the event".
This also sends "0" for the reminder tag. If you disable the reminder 
for an all day event, it ghosts (=does not send) the XML tag. Hmm.

Does the spec make a special case for all days events?

On the iOS 6 device, that option is gone again :o)

2013-04-04 13:37:12 Thomas Jarosch Comment #5 Reply to this comment
The HTC client is broken, from MS-CAL 2.2.2.36 Reminder:

The Reminder element is defined as an element in the Calendar 
namespace. The value of this element is an unsignedInt data type, as 
specified in [XMLSCHEMA2/2], or an EmptyTag data type, which 
contains no value.

However, it's simple enough to work around in code.
Thanks, working! The phone also has a reminder option next to "None" 
which is "Timely".
It sends "0" as reminder value for it. Grrr.

2013-04-03 16:11:56 Michael Rubinsky Comment #4
Assigned to Michael Rubinsky
State ⇒ Resolved
Reply to this comment
The HTC client is broken, from MS-CAL 2.2.2.36 Reminder:

The Reminder element is defined as an element in the Calendar 
namespace. The value of this element is an unsignedInt data type, as 
specified in [XMLSCHEMA2/2], or an EmptyTag data type, which contains 
no value.

However, it's simple enough to work around in code.
2013-04-03 16:09:59 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 97ddd8c9cb78e441999af22b3ec6cc72d47bb29b
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Apr 3 12:09:06 2013 -0400

     Work around broken HTC clients that send -1 in place of empty tags.

     Bug: 12155

  .../lib/Horde/ActiveSync/Message/Appointment.php   |    9 +++++++--
  1 files changed, 7 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/97ddd8c9cb78e441999af22b3ec6cc72d47bb29b
2013-04-03 13:20:03 Thomas Jarosch Comment #2
New Attachment: HTC6c4153f09b63eac481259e1f2e139.txt Download
Reply to this comment
Log file from the moment I pressed "Add" on the phone.

2013-04-03 13:16:01 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ ActiveSync and HTC Sensation: Reminder time set to -1
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I've created a new event on the HTC Sensation phone and disabled all 
reminders.
This results in a reminder time of -1 to be written on the server.

Doing the same on an iphone works correctly -> no reminder set.

Tested with git master + Kolab backend.

Cheers,
Thomas

Saved Queries